umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Enumerations
cxx11-strongly-typed-enumerations.h File Reference

Go to the source code of this file.

## Enumerations
enum | Enumeration { Enumeration::Val1, Enumeration::Val2, Enumeration::Val3 = 100, Enumeration::Val4 }
enum | Enum2 : unsigned int { Val1, Val2 }
enum | Enum3 : unsigned long { Val1 = 1, Val2, Val1, Val2 }

## Enumeration Type Documentation

## ◆ Enum2

enum Enum2 : unsigned int
| strong

Enumerator
Val1 |
Val2 |

## ◆ Enum3

enum Enum3 : unsigned long

Enumerator
Val1 |
Val2 |
Val1 |
Val2 |

## ◆ Enumeration

enum Enumeration
| strong

Enumerator
Val1 |
Val2 |
Val3 |
Val4 |